Minidump on closing QGIS 2.8 related to .qgis2 folder

2015-03-05 10:11 AM - ImPreZa -

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 20501

Description

Based on bug report related by Micha Silver (#10756), I've decided to open this ticket. I've already searched for the term ".qgis2 folder"

and there was no results.

Some reports states that the minidumps on closing QGIS are related to specifics plugins, but other relates those minidumps to the

.qgis2 folder. The first option have its limitations, since the minidumps still occurs in clear installations (those without any extra plugin).

The same occurred systematically with me since QGIS 2.4 on different machines, all installed via Standalone installer on Win7 64 bits.

After read the comments posted at Micha Silver's ticket, I decided to try the second option. I've uninstalled the QGIS 2.6, reset the PC,

installed the QGIS 2.8.1. After confirm that the minidump continued on closing QGIS, I deleted the .qgis2 folder and open/close again,

without reset the pc or uninstal/reinstall QGIS 2.8.1 and the minidump stopped. Then, I installed all the previous plugins that I used to

using and the error on closing QGIS didn't repeat. Apparently, the problem was solved but the question remains: Why does this happen?

Now I've the little inconvenient to reconfigure my QGIS, but that is not the main problem.

Thanks!

History

#1 - 2015-03-05 04:39 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Please reopen if the issue surfaces again with a normal qgis use (and after excluding as cause a 3rd party plugin). Thanks.

#2 - 2015-07-15 04:21 AM - Antimo Battistoni

I had the same problem. After many trials putting and removing last installed plugin from .qgis2 folder, I have noticed that in my case the responsable of the

issue was the plugin : RasterBender. 

If I have this plugin in the .qgis2 folder the minidump appears, if I remove the plugin, minidump disappears.
